UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMStatistics Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMStatistics:

## Public Member Functions
| LBMStatistics ()
| LBMStatistics (UMMonAttributesProtos.UMMonAttributes attributes) throws LBMException
| LBMStatistics (LBMMonitorReceiver lbmmonrcv, ByteBuffer attributeBuffer) throws LBMException
String | getApplicationSourceId ()
InetAddress | getSender () throws UnknownHostException
Date | getTimestamp ()
long | getProcessId ()
long | getContextId ()
String | getContextInstance ()
long | getDomainId ()
String | displayString (String aString)

## Protected Member Functions
String | getHexString (byte[] raw)
void | setSender (long ip)
void | setSenderIpv4Address (String ip) throws LBMException
void | setTimestamp (long ts)
void | setApplicationSourceId (String appid)
void | setProcessId (long pid)
void | setContextId (long cid)
void | setContextInstance (String cinst)
void | setDomainId (long did)

## Detailed Description

UM Transport Statistics Base Class

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMStatistics.LBMStatistics | ( |  | ) |

Instantiate an empty object containing no statistic attributes.

com.latencybusters.lbm.LBMStatistics.LBMStatistics | ( | UMMonAttributesProtos.UMMonAttributes | attributes | ) | throws LBMException

Instantiate object containing the statistic attributes for a statistics packet.

Parameters

  attributes | An UMMonAttributesProtos.UMMonAttributes

Exceptions

  LBMException | if any error occurred retrieving statistic attributes.

com.latencybusters.lbm.LBMStatistics.LBMStatistics | ( | LBMMonitorReceiver | lbmmonrcv,
|  | ByteBuffer | attributeBuffer
| ) |  | throws LBMException

Instantiate object containing the statistic attributes for a statistics packet.

Parameters

  lbmmonrcv | An LBM monitor receiver object
  attributeBuffer | An UMMonAttributesProtos.UMMonAttributes

Exceptions

  LBMException | if any error occurred retrieving statistic attributes.

References com.latencybusters.lbm.LBM.EINVAL.

## Member Function Documentation

String com.latencybusters.lbm.LBMStatistics.getApplicationSourceId | ( |  | ) |

Retrieve the application source identifier associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Application source ID

Referenced by com.latencybusters.lbm.LBMStatistics.getDomainId().

long com.latencybusters.lbm.LBMStatistics.getContextId | ( |  | ) |

Retrieve the sending context ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Context ID

String com.latencybusters.lbm.LBMStatistics.getContextInstance | ( |  | ) |

Retrieve the sending context instance associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Context Instance

Referenced by com.latencybusters.lbm.LBMStatistics.getDomainId().

long com.latencybusters.lbm.LBMStatistics.getDomainId | ( |  | ) |

Retrieve the sending domain ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Domain ID

References com.latencybusters.lbm.LBMStatistics.getApplicationSourceId(), com.latencybusters.lbm.LBMStatistics.getContextInstance(), com.latencybusters.lbm.LBMStatistics.getSender(), and com.latencybusters.lbm.LBMStatistics.getTimestamp().

long com.latencybusters.lbm.LBMStatistics.getProcessId | ( |  | ) |

Retrieve the sending process ID associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Process ID

InetAddress com.latencybusters.lbm.LBMStatistics.getSender | ( |  | ) | throws UnknownHostException

Retrieve the IP sender address associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  InetAddress object corresponding to the statistics' sender IP address

Exceptions

  UnknownHostException | if IP address is of illegal length.

Referenced by com.latencybusters.lbm.LBMStatistics.getDomainId().

Date com.latencybusters.lbm.LBMStatistics.getTimestamp | ( |  | ) |

Retrieve the timestamp associated with this set of statistics.

This attribute is only set for remote statistics returned by the lbmmon infrastructure. For locally-gathered statistics, this method returns an undefined value.

Returns
  Timestamp Date object

Referenced by com.latencybusters.lbm.LBMStatistics.getDomainId().

The documentation for this class was generated from the following file:

- LBMStatistics.java